| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::AbstractProtocolInterface Class Reference
Connection manager service implementation

Base class for all the Protocol object interface implementations. More...

`#include <TelepathyQt/AbstractProtocolInterface>`

Inherits Tp::AbstractDBusServiceInterface.

Inherited by Tp::BaseProtocolAddressingInterface, Tp::BaseProtocolAvatarsInterface, and Tp::BaseProtocolPresenceInterface.

List of all members.

## Public Member Functions

- AbstractProtocolInterface (const QString &interfaceName)
- virtual ~AbstractProtocolInterface ()

## Detailed Description

Base class for all the Protocol object interface implementations.

## Constructor & Destructor Documentation

Tp::AbstractProtocolInterface::AbstractProtocolInterface | ( | const QString & | interfaceName | ) |

Tp::AbstractProtocolInterface::~AbstractProtocolInterface | ( |  | ) | `[virtual]`